#pragma once

#include <psemek/audio/stream.hpp>

namespace psemek::audio
{

	// Second-order
	stream_ptr butterworth_low_pass(stream_ptr stream, float cutoff_frequency);
	stream_ptr butterworth_high_pass(stream_ptr stream, float cutoff_frequency);

}
